| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
visSurvey::SurveyObject Class Reference
visSurvey

Base class for all 'Display' objects. More...

`#include <vissurvobj.h>`

Inheritance diagram for visSurvey::SurveyObject:
[legend]

## Public Types
enum | AttribFormat { None , Cube , Traces , RandomPos , OtherFormat }

## Public Member Functions
virtual void | acceptManipulation ()
virtual bool | addAttrib ()
virtual bool | allowMaterialEdit () const
virtual void | allowShading (bool)
virtual bool | allowsPicks () const
virtual bool | alreadyTransformed (int attrib) const
virtual void | annotateNextUpdateStage (bool yn)
virtual float | calcDist (const Coord3 &pos) const
virtual bool | canAddAttrib (int nrattribstoadd=1) const
virtual bool | canBDispOn2DViewer () const
virtual bool | canBeRemoved () const
virtual bool | canDuplicate () const
virtual bool | canEnableTextureInterpolation () const
virtual bool | canHandleColTabSeqTrans (int) const
virtual bool | canHaveMultipleAttribs () const
virtual bool | canHaveMultipleTextures () const
virtual bool | canRemoveAttrib () const
virtual bool | canRemoveSelection () const
virtual bool | canResetManipulation () const
virtual bool | canSetColTabSequence () const
virtual bool | canShowTexture () const
virtual void | clearSelections ()
virtual bool | displayedOnlyAtSections () const
virtual SurveyObject * | duplicate (TaskRunner *) const
virtual void | enableAttrib (int attrib, bool yn)
virtual void | enableEditor (bool yn)
virtual void | enableTextureInterpolation (bool)
virtual void | fillPar (IOPar &) const
const Survey::Geometry3D * | get3DSurvGeom () const
virtual const char * | get3DSurvGeomName () const
virtual OD::Pol2D3D | getAllowedDataType () const
virtual OD::Color | getAnnotColor () const
virtual unsigned char | getAttribTransparency (int) const
virtual AttribFormat | getAttributeFormat (int attrib=-1) const
OD::Color | getBackgroundColor () const
void | getChannelName (int, uiString &) const
virtual visBase::TextureChannels * | getChannels ()
virtual const visBase::TextureChannels * | getChannels () const
virtual visBase::TextureChannel2RGBA * | getChannels2RGBA ()
virtual const visBase::TextureChannel2RGBA * | getChannels2RGBA () const
virtual void | getChildren (TypeSet< VisID > &) const
virtual OD::Color | getColor () const
virtual const ColTab::MapperSetup * | getColTabMapperSetup (int attrib, int version=0) const
virtual const ColTab::Sequence * | getColTabSequence (int) const
virtual ConstRefMan< DataPack > | getDataPack (int attrib) const
virtual DataPackID | getDataPackID (int attrib) const
virtual mDeprecatedObs DataPackMgr::MgrID | getDataPackMgrID () const
virtual Interval< float > | getDataTraceRange () const
virtual ConstRefMan< DataPack > | getDisplayedDataPack (int attrib) const
virtual DataPackID | getDisplayedDataPackID (int attrib) const
virtual ConstRefMan< VolumeDataPack > | getDisplayedVolumeDataPack (int attr) const
virtual ConstRefMan< FlatDataPack > | getFlatDataPack (int attr) const
virtual Pos::GeomID | getGeomID () const
virtual const TypeSet< float > * | getHistogram (int attrib) const
virtual void | getLineWidthBounds (int &min, int &max)
virtual NotifierAccess * | getLockNotifier ()
virtual NotifierAccess * | getManipulationNotifier ()
virtual uiString | getManipulationString () const
virtual const MouseCursor * | getMouseCursor () const
virtual void | getMousePosInfo (const visBase::EventInfo &, Coord3 &xyzpos, BufferString &val, uiString &info) const
virtual void | getMousePosInfo (const visBase::EventInfo &, IOPar &) const
virtual NotifierAccess * | getMovementNotifier ()
virtual MultiID | getMultiID () const
virtual Coord3 | getNormal (const Coord3 &pos) const
virtual void | getObjectInfo (uiString &) const
virtual void | getPickingMessage (BufferString &msg) const
virtual ConstRefMan< PointDataPack > | getPointDataPack (int attr) const
virtual bool | getRandomPos (DataPointSet &, TaskRunner *) const
virtual bool | getRandomPosCache (int attrib, DataPointSet &) const
virtual int | getResolution () const
virtual BufferString | getResolutionName (int) const
bool | getSaveInSessionsFlag () const
virtual Scene * | getScene ()
virtual const Scene * | getScene () const
SceneID | getSceneID () const
virtual const Attrib::SelSpec * | getSelSpec (int attrib, int version=-1) const
| version=-1 gives current version
virtual const TypeSet< Attrib::SelSpec > * | getSelSpecs (int attrib) const
virtual void | getTraceKeyPath (TrcKeySet &, TypeSet< Coord > *=nullptr) const
virtual Coord3 | getTranslation () const
virtual TrcKeyZSampling | getTrcKeyZSampling (bool displayspace=false, int attrib=-1) const
int | getUpdateStageNr () const
virtual ConstRefMan< VolumeDataPack > | getVolumeDataPack (int attr) const
virtual const ZAxisTransform * | getZAxisTransform () const
virtual bool | hasColor () const
virtual bool | hasPosModeManipulator () const
bool | hasSelSpec (const Attrib::SelSpec &, int &attrib, int &version) const
virtual bool | hasSingleColorFallback () const
virtual bool | hasSpecificLineColor () const
virtual bool | hasSpecificMarkerColor () const
virtual bool | isAngle (int attrib) const
bool | isAnyAttribEnabled () const
virtual bool | isAttribEnabled (int attrib) const
virtual bool | isInlCrl () const
virtual bool | isLocked () const
virtual bool | isManipulated () const
virtual bool | isManipulatorShown () const
virtual bool | isPainting () const
virtual bool | isPicking () const
virtual bool | isVerticalPlane () const
virtual const OD::LineStyle * | lineStyle () const
virtual void | lock (bool yn)
virtual const MarkerStyle3D * | markerStyle () const
virtual float | maxDist () const
virtual int | maxNrAttribs () const
virtual int | nrAttribs () const
virtual int | nrResolutions () const
virtual int | nrTextures (int attrib) const
virtual void | otherObjectsMoved (const ObjectSet< const SurveyObject > &, const VisID &whichobj)
virtual void | readAuxData ()
virtual bool | removeAttrib (int attrib)
virtual bool | removeSelections (TaskRunner *)
virtual void | resetManipulation ()
virtual int | selectedTexture (int attrib) const
virtual void | selectTexture (int attrib, int texture)
virtual void | set3DSurvGeom (const Survey::Geometry3D *)
virtual void | setAngleFlag (int attrib, bool yn)
virtual void | setAnnotColor (OD::Color)
virtual void | setAttribTransparency (int, unsigned char)
virtual bool | setChannels2RGBA (visBase::TextureChannel2RGBA *)
virtual void | setColor (OD::Color)
virtual void | setColTabMapperSetup (int, const ColTab::MapperSetup &, TaskRunner *)
virtual void | setColTabSequence (int, const ColTab::Sequence &, TaskRunner *)
virtual bool | setDataPackID (int attrib, const DataPackID &, TaskRunner *)
virtual bool | setFlatDataPack (int attr, FlatDataPack *, TaskRunner *)
virtual void | setLineStyle (const OD::LineStyle &)
virtual void | setMarkerStyle (const MarkerStyle3D &)
virtual void | setOnlyAtSectionsDisplay (bool)
virtual bool | setPointDataPack (int attr, PointDataPack *, TaskRunner *)
virtual bool | setRandomPosData (int attrib, const DataPointSet *, TaskRunner *)
virtual void | setResolution (int, TaskRunner *)
void | setSaveInSessionsFlag (bool yn)
virtual void | setScene (Scene *)
virtual void | setSelSpec (int, const Attrib::SelSpec &)
virtual void | setSelSpecs (int attrib, const TypeSet< Attrib::SelSpec > &)
virtual void | setTranslation (const Coord3 &)
virtual void | setTrcKeyZSampling (const TrcKeyZSampling &)
void | setUserRefs (int attrib, BufferStringSet *nms)
virtual bool | setVolumeDataPack (int attrib, VolumeDataPack *, TaskRunner *)
virtual bool | setZAxisTransform (ZAxisTransform *, TaskRunner *)
virtual void | showManipulator (bool yn)
virtual bool | showsTexture () const
virtual void | snapToTracePos (Coord3 &) const
virtual bool | swapAttribs (int a0, int a1)
virtual bool | textureInterpolationEnabled () const
virtual void | turnOnSelectionMode (bool)
virtual void | updateMouseCursorCB (CallBacker *)
virtual bool | usePar (const IOPar &)
virtual bool | usesColor () const
virtual bool | usesDataPacks () const
virtual bool | usesTexture () const
virtual void | useTexture (bool yn, bool trigger)

## Static Public Member Functions
static float | sDefMaxDist ()
static const char * | sKeyAttribs ()
static const char * | sKeyColTabID ()
static const char * | sKeyLocked ()
static const char * | sKeyMapper ()
static const char * | sKeyNrAttribs ()
static const char * | sKeyNrVersions ()
static const char * | sKeySelTexture ()
static const char * | sKeySequence ()
static const char * | sKeySurvey ()
static const char * | sKeyTC2RGBA ()
static const char * | sKeyTextTrans ()

## Protected Member Functions
| SurveyObject ()
virtual | ~SurveyObject ()
void | initAdaptiveMouseCursor (CallBacker *eventcb, const VisID &, int inplanedragkeys, MouseCursor &)

## Static Protected Member Functions
static int | cValNameOffset ()

## Protected Attributes
BufferString | errmsg_
bool | locked_ = false
ConstRefMan< Survey::Geometry3D > | s3dgeom_
bool | saveinsessionsflag_ = true
Scene * | scene_ = nullptr
BufferString | survname_
int | updatestagenr_ = 0
ObjectSet< BufferStringSet > | userrefs_
bool | usestexture_ = true
bool | validtexture_ = false

## Friends
class | Scene

## Detailed Description

Base class for all 'Display' objects.

<>

## Member Enumeration Documentation

## ◆ AttribFormat

enum visSurvey::SurveyObject::AttribFormat

Specifies how the object wants it's attrib data delivered.

Enumerator
None | This object does not handle attribdata.
Cube | This object wants attribdata as DataCubes.
Traces | This object wants a set of traces.
RandomPos | This object wants a table with array positions.
OtherFormat | This object wants attribdata of a different kind.

## Constructor & Destructor Documentation

## ◆ SurveyObject()

visSurvey::SurveyObject::SurveyObject | ( |  | ) |
| protected

## ◆ ~SurveyObject()

virtual visSurvey::SurveyObject::~SurveyObject | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ acceptManipulation()

virtual void visSurvey::SurveyObject::acceptManipulation | ( |  | ) |
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ addAttrib()

virtual bool visSurvey::SurveyObject::addAttrib | ( |  | ) |
| inline virtual

Reimplemented in visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ allowMaterialEdit()

virtual bool visSurvey::SurveyObject::allowMaterialEdit | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PlaneDataDisplay, visSurvey::PointSetDisplay, visSurvey::PolygonBodyDisplay, visSurvey::RandomPosBodyDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::VolumeDisplay.

## ◆ allowShading()

virtual void visSurvey::SurveyObject::allowShading | ( | bool |  | ) |
| inline virtual

Reimplemented in visSurvey::PreStackDisplay, visSurvey::VolumeDisplay, visSurvey::HorizonDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ allowsPicks()

virtual bool visSurvey::SurveyObject::allowsPicks | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::HorizonDisplay, visSurvey::LocationDisplay, visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::VolumeDisplay, and visSurvey::WellDisplay.

## ◆ alreadyTransformed()

virtual bool visSurvey::SurveyObject::alreadyTransformed | ( | int | attrib | ) | const
| virtual

## ◆ annotateNextUpdateStage()

virtual void visSurvey::SurveyObject::annotateNextUpdateStage | ( | bool | yn | ) |
| virtual

Annotation to enumerate distinguishable stages in an update sequence. False resets updatestagenr_ to zero. For example: `no updating #0 annotateNextUpdateStage( true ); update geometry #1 annotateNextUpdateStage( true ); update textures #2 annotateNextUpdateStage( false ); no updating #0` Derived class decides whether to neglect or act, e.g. by (de/re)freezing its display.

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::Seis2DDisplay.

## ◆ calcDist()

virtual float visSurvey::SurveyObject::calcDist | ( | const Coord3 & | pos | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::Seis2DDisplay.

## ◆ canAddAttrib()

virtual bool visSurvey::SurveyObject::canAddAttrib | ( | int | nrattribstoadd = 1 | ) | const
| virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, visSurvey::VolumeDisplay, and visSurvey::MarchingCubesDisplay.

## ◆ canBDispOn2DViewer()

virtual bool visSurvey::SurveyObject::canBDispOn2DViewer | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::RandomTrackDisplay.

## ◆ canBeRemoved()

virtual bool visSurvey::SurveyObject::canBeRemoved | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay.

## ◆ canDuplicate()

virtual bool visSurvey::SurveyObject::canDuplicate | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::VolumeDisplay.

## ◆ canEnableTextureInterpolation()

virtual bool visSurvey::SurveyObject::canEnableTextureInterpolation | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ canHandleColTabSeqTrans()

virtual bool visSurvey::SurveyObject::canHandleColTabSeqTrans | ( | int |  | ) | const
| virtual

Reimplemented in visSurvey::MarchingCubesDisplay.

## ◆ canHaveMultipleAttribs()

virtual bool visSurvey::SurveyObject::canHaveMultipleAttribs | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ canHaveMultipleTextures()

virtual bool visSurvey::SurveyObject::canHaveMultipleTextures | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::MultiTextureSurveyObject.

## ◆ canRemoveAttrib()

virtual bool visSurvey::SurveyObject::canRemoveAttrib | ( |  | ) | const
| virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ canRemoveSelection()

virtual bool visSurvey::SurveyObject::canRemoveSelection | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::LocationDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PointSetDisplay, and visSurvey::PolygonBodyDisplay.

## ◆ canResetManipulation()

virtual bool visSurvey::SurveyObject::canResetManipulation | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ canSetColTabSequence()

virtual bool visSurvey::SurveyObject::canSetColTabSequence | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, visSurvey::PSEventDisplay, and visSurvey::VolumeDisplay.

## ◆ canShowTexture()

virtual bool visSurvey::SurveyObject::canShowTexture | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, and visSurvey::MarchingCubesDisplay.

## ◆ clearSelections()

virtual void visSurvey::SurveyObject::clearSelections | ( |  | ) |
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::Horizon2DDisplay, and visSurvey::HorizonDisplay.

## ◆ cValNameOffset()

static int visSurvey::SurveyObject::cValNameOffset | ( |  | ) |
| inline static protected

## ◆ displayedOnlyAtSections()

virtual bool visSurvey::SurveyObject::displayedOnlyAtSections | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::HorizonDisplay, visSurvey::LocationDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::PolygonBodyDisplay.

## ◆ duplicate()

virtual SurveyObject * visSurvey::SurveyObject::duplicate | ( | TaskRunner * |  | ) | const
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::VolumeDisplay.

## ◆ enableAttrib()

virtual void visSurvey::SurveyObject::enableAttrib | ( | int | attrib,
|  | bool | yn )
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, visSurvey::Seis2DDisplay, and visSurvey::VolumeDisplay.

## ◆ enableEditor()

virtual void visSurvey::SurveyObject::enableEditor | ( | bool | yn | ) |
| inline virtual

Reimplemented in visSurvey::FaultStickSetDisplay.

## ◆ enableTextureInterpolation()

virtual void visSurvey::SurveyObject::enableTextureInterpolation | ( | bool |  | ) |
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ fillPar()

virtual void visSurvey::SurveyObject::fillPar | ( | IOPar & |  | ) | const
| virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::HorizonDisplay, visSurvey::LocationDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, visSurvey::PickSetDisplay, visSurvey::PlaneDataDisplay, visSurvey::PolygonBodyDisplay, visSurvey::PreStackDisplay, visSurvey::RandomPosBodyDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::VolumeDisplay, and visSurvey::WellDisplay.

## ◆ get3DSurvGeom()

const Survey::Geometry3D * visSurvey::SurveyObject::get3DSurvGeom | ( |  | ) | const
| inline

## ◆ get3DSurvGeomName()

virtual const char * visSurvey::SurveyObject::get3DSurvGeomName | ( |  | ) | const
| virtual

## ◆ getAllowedDataType()

virtual OD::Pol2D3D visSurvey::SurveyObject::getAllowedDataType | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, and visSurvey::Seis2DDisplay.

## ◆ getAnnotColor()

virtual OD::Color visSurvey::SurveyObject::getAnnotColor | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::Seis2DDisplay.

## ◆ getAttribTransparency()

virtual unsigned char visSurvey::SurveyObject::getAttribTransparency | ( | int |  | ) | const
| inline virtual

Reimplemented in visSurvey::VolumeDisplay, visSurvey::HorizonDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ getAttributeFormat()

virtual AttribFormat visSurvey::SurveyObject::getAttributeFormat | ( | int | attrib = -1 | ) | const
| virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::VolumeDisplay, visSurvey::PlaneDataDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, and visSurvey::MarchingCubesDisplay.

## ◆ getBackgroundColor()

OD::Color visSurvey::SurveyObject::getBackgroundColor | ( |  | ) | const

## ◆ getChannelName()

void visSurvey::SurveyObject::getChannelName | ( | int | ,
|  | uiString & | ) const

Returns
  "Layer 0", or "Red", "Green" ...

## ◆ getChannels() [1/2]

virtual visBase::TextureChannels * visSurvey::SurveyObject::getChannels | ( |  | ) |
| inline virtual

Reimplemented in visSurvey::MultiTextureSurveyObject.

## ◆ getChannels() [2/2]

virtual const visBase::TextureChannels * visSurvey::SurveyObject::getChannels | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::MultiTextureSurveyObject.

## ◆ getChannels2RGBA() [1/2]

virtual visBase::TextureChannel2RGBA * visSurvey::SurveyObject::getChannels2RGBA | ( |  | ) |
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ getChannels2RGBA() [2/2]

virtual const visBase::TextureChannel2RGBA * visSurvey::SurveyObject::getChannels2RGBA | ( |  | ) | const
| virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ getChildren()

virtual void visSurvey::SurveyObject::getChildren | ( | TypeSet< VisID > & |  | ) | const
| inline virtual

Reimplemented in visSurvey::VolumeDisplay.

## ◆ getColor()

virtual OD::Color visSurvey::SurveyObject::getColor | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::LocationDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PolygonBodyDisplay, visSurvey::PolyLineDisplay, visSurvey::PSEventDisplay, visSurvey::RandomPosBodyDisplay, visSurvey::Seis2DDisplay, and visSurvey::WellDisplay.

## ◆ getColTabMapperSetup()

virtual const ColTab::MapperSetup * visSurvey::SurveyObject::getColTabMapperSetup | ( | int | attrib,
|  | int | version = 0 ) const
| virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::FaultSetDisplay, visSurvey::MultiTextureSurveyObject, visSurvey::VolumeDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::PSEventDisplay.

## ◆ getColTabSequence()

virtual const ColTab::Sequence * visSurvey::SurveyObject::getColTabSequence | ( | int |  | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::VolumeDisplay, visSurvey::PSEventDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ getDataPack()

virtual ConstRefMan< DataPack > visSurvey::SurveyObject::getDataPack | ( | int | attrib | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PlaneDataDisplay, visSurvey::PointSetDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::VolumeDisplay, and visSurvey::PreStackDisplay.

## ◆ getDataPackID()

virtual DataPackID visSurvey::SurveyObject::getDataPackID | ( | int | attrib | ) | const
| virtual

## ◆ getDataPackMgrID()

virtual mDeprecatedObs DataPackMgr::MgrID visSurvey::SurveyObject::getDataPackMgrID | ( |  | ) | const
| inline virtual

## ◆ getDataTraceRange()

virtual Interval< float > visSurvey::SurveyObject::getDataTraceRange | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::Seis2DDisplay.

## ◆ getDisplayedDataPack()

virtual ConstRefMan< DataPack > visSurvey::SurveyObject::getDisplayedDataPack | ( | int | attrib | ) | const
| virtual

## ◆ getDisplayedDataPackID()

virtual DataPackID visSurvey::SurveyObject::getDisplayedDataPackID | ( | int | attrib | ) | const
| virtual

## ◆ getDisplayedVolumeDataPack()

virtual ConstRefMan< VolumeDataPack > visSurvey::SurveyObject::getDisplayedVolumeDataPack | ( | int | attr | ) | const
| virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::Seis2DDisplay.

## ◆ getFlatDataPack()

virtual ConstRefMan< FlatDataPack > visSurvey::SurveyObject::getFlatDataPack | ( | int | attr | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, and visSurvey::PreStackDisplay.

## ◆ getGeomID()

virtual Pos::GeomID visSurvey::SurveyObject::getGeomID | ( |  | ) | const
| virtual

Reimplemented in visSurvey::Seis2DDisplay.

## ◆ getHistogram()

virtual const TypeSet< float > * visSurvey::SurveyObject::getHistogram | ( | int | attrib | ) | const
| inline virtual

Reimplemented in visSurvey::VolumeDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ getLineWidthBounds()

virtual void visSurvey::SurveyObject::getLineWidthBounds | ( | int & | min,
|  | int & | max )
| virtual

## ◆ getLockNotifier()

virtual NotifierAccess * visSurvey::SurveyObject::getLockNotifier | ( |  | ) |
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay.

## ◆ getManipulationNotifier()

virtual NotifierAccess * visSurvey::SurveyObject::getManipulationNotifier | ( |  | ) |
| inline virtual

Reimplemented in visSurvey::LocationDisplay, visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::VolumeDisplay, and visSurvey::WellDisplay.

## ◆ getManipulationString()

virtual uiString visSurvey::SurveyObject::getManipulationString | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::LocationDisplay, visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ getMouseCursor()

virtual const MouseCursor * visSurvey::SurveyObject::getMouseCursor | ( |  | ) | const
| inline virtual

Returns a mouse cursor that will be used if this object under the mouse in Act mode.

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::PreStackDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ getMousePosInfo() [1/2]

virtual void visSurvey::SurveyObject::getMousePosInfo | ( | const visBase::EventInfo & | ,
|  | Coord3 & | xyzpos,
|  | BufferString & | val,
|  | uiString & | info ) const
| inline virtual

Reimplemented in visSurvey::LocationDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::EMObjectDisplay, visSurvey::Horizon2DDisplay, visSurvey::PlaneDataDisplay, visSurvey::PreStackDisplay, visSurvey::VolumeDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PointSetDisplay, visSurvey::HorizonDisplay, and visSurvey::WellDisplay.

## ◆ getMousePosInfo() [2/2]

virtual void visSurvey::SurveyObject::getMousePosInfo | ( | const visBase::EventInfo & | ,
|  | IOPar & | ) const
| virtual

Reimplemented in visSurvey::MarchingCubesDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::Horizon2DDisplay, visSurvey::HorizonDisplay, visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::LocationDisplay, visSurvey::PlaneDataDisplay, visSurvey::PointSetDisplay, visSurvey::PreStackDisplay, visSurvey::VolumeDisplay, and visSurvey::WellDisplay.

## ◆ getMovementNotifier()

virtual NotifierAccess * visSurvey::SurveyObject::getMovementNotifier | ( |  | ) |
| inline virtual

Gives access to a notifier that is triggered when object is moved or modified.

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::PlaneDataDisplay, visSurvey::PreStackDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::VolumeDisplay.

## ◆ getMultiID()

virtual MultiID visSurvey::SurveyObject::getMultiID | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::LocationDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PolygonBodyDisplay, visSurvey::PreStackDisplay, visSurvey::RandomPosBodyDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::WellDisplay.

## ◆ getNormal()

virtual Coord3 visSurvey::SurveyObject::getNormal | ( | const Coord3 & | pos | ) | const
| inline virtual

Position and Normal are both in displayspace.

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::Seis2DDisplay.

## ◆ getObjectInfo()

virtual void visSurvey::SurveyObject::getObjectInfo | ( | uiString & |  | ) | const
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::LocationDisplay, visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::VolumeDisplay.

## ◆ getPickingMessage()

virtual void visSurvey::SurveyObject::getPickingMessage | ( | BufferString & | msg | ) | const
| inline virtual

Reimplemented in visSurvey::PickSetDisplay.

## ◆ getPointDataPack()

virtual ConstRefMan< PointDataPack > visSurvey::SurveyObject::getPointDataPack | ( | int | attr | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::PointSetDisplay.

## ◆ getRandomPos()

virtual bool visSurvey::SurveyObject::getRandomPos | ( | DataPointSet & | ,
|  | TaskRunner * | ) const
| inline virtual

Random pos: Every position is put in the DataPointSet no matter which original patch it belongs to

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::PlaneDataDisplay.

## ◆ getRandomPosCache()

virtual bool visSurvey::SurveyObject::getRandomPosCache | ( | int | attrib,
|  | DataPointSet & | ) const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, and visSurvey::HorizonDisplay.

## ◆ getResolution()

virtual int visSurvey::SurveyObject::getResolution | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::WellDisplay.

## ◆ getResolutionName()

virtual BufferString visSurvey::SurveyObject::getResolutionName | ( | int |  | ) | const
| virtual

Reimplemented in visSurvey::WellDisplay, and visSurvey::HorizonDisplay.

## ◆ getSaveInSessionsFlag()

bool visSurvey::SurveyObject::getSaveInSessionsFlag | ( |  | ) | const
| inline

## ◆ getScene() [1/2]

virtual Scene * visSurvey::SurveyObject::getScene | ( |  | ) |
| inline virtual

## ◆ getScene() [2/2]

virtual const Scene * visSurvey::SurveyObject::getScene | ( |  | ) | const
| inline virtual

## ◆ getSceneID()

SceneID visSurvey::SurveyObject::getSceneID | ( |  | ) | const

## ◆ getSelSpec()

virtual const Attrib::SelSpec * visSurvey::SurveyObject::getSelSpec | ( | int | attrib,
|  | int | version = -1 ) const
| virtual

version=-1 gives current version

Reimplemented in visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, visSurvey::VolumeDisplay, and visSurvey::HorizonDisplay.

## ◆ getSelSpecs()

virtual const TypeSet< Attrib::SelSpec > * visSurvey::SurveyObject::getSelSpecs | ( | int | attrib | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ getTraceKeyPath()

virtual void visSurvey::SurveyObject::getTraceKeyPath | ( | TrcKeySet & | ,
|  | TypeSet< Coord > * | = nullptr ) const
| inline virtual

If Coordinates are different from the trckeys, they can be delivered in the TypeSet<Coord>*

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::Seis2DDisplay.

## ◆ getTranslation()

virtual Coord3 visSurvey::SurveyObject::getTranslation | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::Horizon2DDisplay, and visSurvey::HorizonDisplay.

## ◆ getTrcKeyZSampling()

virtual TrcKeyZSampling visSurvey::SurveyObject::getTrcKeyZSampling | ( | bool | displayspace = false,
|  | int | attrib = -1 ) const
| virtual

Returns
  the volume in world survey coordinates.

Reimplemented in visSurvey::RandomTrackDisplay, visSurvey::VolumeDisplay, visSurvey::PlaneDataDisplay, and visSurvey::Seis2DDisplay.

## ◆ getUpdateStageNr()

int visSurvey::SurveyObject::getUpdateStageNr | ( |  | ) | const

## ◆ getVolumeDataPack()

virtual ConstRefMan< VolumeDataPack > visSurvey::SurveyObject::getVolumeDataPack | ( | int | attr | ) | const
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::VolumeDisplay.

## ◆ getZAxisTransform()

virtual const ZAxisTransform * visSurvey::SurveyObject::getZAxisTransform | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::LocationDisplay, visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::VolumeDisplay, and visSurvey::WellDisplay.

## ◆ hasColor()

virtual bool visSurvey::SurveyObject::hasColor | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::HorizonDisplay, visSurvey::LocationDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PickSetDisplay, visSurvey::PointSetDisplay, visSurvey::PolygonBodyDisplay, visSurvey::PSEventDisplay, visSurvey::RandomPosBodyDisplay, visSurvey::Seis2DDisplay, and visSurvey::WellDisplay.

## ◆ hasPosModeManipulator()

virtual bool visSurvey::SurveyObject::hasPosModeManipulator | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::PreStackDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ hasSelSpec()

bool visSurvey::SurveyObject::hasSelSpec | ( | const Attrib::SelSpec & | ,
|  | int & | attrib,
|  | int & | version ) const

## ◆ hasSingleColorFallback()

virtual bool visSurvey::SurveyObject::hasSingleColorFallback | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::Seis2DDisplay.

## ◆ hasSpecificLineColor()

virtual bool visSurvey::SurveyObject::hasSpecificLineColor | ( |  | ) | const
| inline virtual

Specifies wether setLineStyle takes regard to the color of the linestyle.

## ◆ hasSpecificMarkerColor()

virtual bool visSurvey::SurveyObject::hasSpecificMarkerColor | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, and visSurvey::FaultStickSetDisplay.

## ◆ initAdaptiveMouseCursor()

void visSurvey::SurveyObject::initAdaptiveMouseCursor | ( | CallBacker * | eventcb,
|  | const VisID & | ,
|  | int | inplanedragkeys,
|  | MouseCursor & | )
| protected

## ◆ isAngle()

virtual bool visSurvey::SurveyObject::isAngle | ( | int | attrib | ) | const
| inline virtual

Reimplemented in visSurvey::MultiTextureSurveyObject.

## ◆ isAnyAttribEnabled()

bool visSurvey::SurveyObject::isAnyAttribEnabled | ( |  | ) | const

## ◆ isAttribEnabled()

virtual bool visSurvey::SurveyObject::isAttribEnabled | ( | int | attrib | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ isInlCrl()

virtual bool visSurvey::SurveyObject::isInlCrl | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PlaneDataDisplay, visSurvey::PolygonBodyDisplay, visSurvey::PreStackDisplay, visSurvey::PSEventDisplay, visSurvey::RandomPosBodyDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ isLocked()

virtual bool visSurvey::SurveyObject::isLocked | ( |  | ) | const
| inline virtual

## ◆ isManipulated()

virtual bool visSurvey::SurveyObject::isManipulated | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ isManipulatorShown()

virtual bool visSurvey::SurveyObject::isManipulatorShown | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultStickSetDisplay, visSurvey::PlaneDataDisplay, visSurvey::PolygonBodyDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ isPainting()

virtual bool visSurvey::SurveyObject::isPainting | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::LocationDisplay.

## ◆ isPicking()

virtual bool visSurvey::SurveyObject::isPicking | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultStickSetDisplay, visSurvey::LocationDisplay, visSurvey::PolygonBodyDisplay, and visSurvey::RandomTrackDisplay.

## ◆ isVerticalPlane()

virtual bool visSurvey::SurveyObject::isVerticalPlane | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::PlaneDataDisplay.

## ◆ lineStyle()

virtual const OD::LineStyle * visSurvey::SurveyObject::lineStyle | ( |  | ) | const
| inline virtual

If the linestyle can be set, a non-zero pointer should be return.

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::PolygonBodyDisplay, visSurvey::Seis2DDisplay, and visSurvey::WellDisplay.

## ◆ lock()

virtual void visSurvey::SurveyObject::lock | ( | bool | yn | ) |
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay.

## ◆ markerStyle()

virtual const MarkerStyle3D * visSurvey::SurveyObject::markerStyle | ( |  | ) | const
| inline virtual

Note
  Modification of color should be done with setMaterial on visBase::VisualObject

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultStickSetDisplay, visSurvey::PolygonBodyDisplay, and visSurvey::PSEventDisplay.

## ◆ maxDist()

virtual float visSurvey::SurveyObject::maxDist | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, and visSurvey::PlaneDataDisplay.

## ◆ maxNrAttribs()

virtual int visSurvey::SurveyObject::maxNrAttribs | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ nrAttribs()

virtual int visSurvey::SurveyObject::nrAttribs | ( |  | ) | const
| virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, visSurvey::PSEventDisplay, and visSurvey::VolumeDisplay.

## ◆ nrResolutions()

virtual int visSurvey::SurveyObject::nrResolutions | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::WellDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ nrTextures()

virtual int visSurvey::SurveyObject::nrTextures | ( | int | attrib | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ otherObjectsMoved()

virtual void visSurvey::SurveyObject::otherObjectsMoved | ( | const ObjectSet< const SurveyObject > & | ,
|  | const VisID & | whichobj )
| inline virtual

If other objects are moved, removed or added in the scene, this function is called.

Note
  that it only notifies on objects that return something on getMovementNotifier().

Parameters

  whichobj | refers to id of the moved object

Reimplemented in visSurvey::LocationDisplay, visSurvey::PickSetDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::Horizon2DDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PolygonBodyDisplay, visSurvey::PreStackDisplay, and visSurvey::PSEventDisplay.

## ◆ readAuxData()

virtual void visSurvey::SurveyObject::readAuxData | ( |  | ) |
| inline virtual

## ◆ removeAttrib()

virtual bool visSurvey::SurveyObject::removeAttrib | ( | int | attrib | ) |
| inline virtual

Reimplemented in visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ removeSelections()

virtual bool visSurvey::SurveyObject::removeSelections | ( | TaskRunner * |  | ) |
| virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultStickSetDisplay, visSurvey::LocationDisplay, visSurvey::PickSetDisplay, visSurvey::PointSetDisplay, and visSurvey::PolygonBodyDisplay.

## ◆ resetManipulation()

virtual void visSurvey::SurveyObject::resetManipulation | ( |  | ) |
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ sDefMaxDist()

static float visSurvey::SurveyObject::sDefMaxDist | ( |  | ) |
| static

## ◆ selectedTexture()

virtual int visSurvey::SurveyObject::selectedTexture | ( | int | attrib | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ selectTexture()

virtual void visSurvey::SurveyObject::selectTexture | ( | int | attrib,
|  | int | texture )
| inline virtual

Reimplemented in visSurvey::MultiTextureSurveyObject, and visSurvey::HorizonDisplay.

## ◆ set3DSurvGeom()

virtual void visSurvey::SurveyObject::set3DSurvGeom | ( | const Survey::Geometry3D * |  | ) |
| virtual

## ◆ setAngleFlag()

virtual void visSurvey::SurveyObject::setAngleFlag | ( | int | attrib,
|  | bool | yn )
| inline virtual

Reimplemented in visSurvey::MultiTextureSurveyObject.

## ◆ setAnnotColor()

virtual void visSurvey::SurveyObject::setAnnotColor | ( | OD::Color |  | ) |
| inline virtual

Reimplemented in visSurvey::Seis2DDisplay.

## ◆ setAttribTransparency()

virtual void visSurvey::SurveyObject::setAttribTransparency | ( | int | ,
|  | unsigned char | )
| inline virtual

Reimplemented in visSurvey::VolumeDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ setChannels2RGBA()

virtual bool visSurvey::SurveyObject::setChannels2RGBA | ( | visBase::TextureChannel2RGBA * |  | ) |
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ setColor()

virtual void visSurvey::SurveyObject::setColor | ( | OD::Color |  | ) |
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::LocationDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PickSetDisplay, visSurvey::PolygonBodyDisplay, visSurvey::PolyLineDisplay, visSurvey::RandomPosBodyDisplay, visSurvey::RandomTrackDisplay, and visSurvey::Seis2DDisplay.

## ◆ setColTabMapperSetup()

virtual void visSurvey::SurveyObject::setColTabMapperSetup | ( | int | ,
|  | const ColTab::MapperSetup & | ,
|  | TaskRunner * | )
| virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::VolumeDisplay, visSurvey::FaultSetDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ setColTabSequence()

virtual void visSurvey::SurveyObject::setColTabSequence | ( | int | ,
|  | const ColTab::Sequence & | ,
|  | TaskRunner * | )
| virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::VolumeDisplay, visSurvey::FaultSetDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::PSEventDisplay.

## ◆ setDataPackID()

virtual bool visSurvey::SurveyObject::setDataPackID | ( | int | attrib,
|  | const DataPackID & | ,
|  | TaskRunner * | )
| virtual

## ◆ setFlatDataPack()

virtual bool visSurvey::SurveyObject::setFlatDataPack | ( | int | attr,
|  | FlatDataPack * | ,
|  | TaskRunner * | )
| inline virtual

Reimplemented in visSurvey::HorizonDisplay.

## ◆ setLineStyle()

virtual void visSurvey::SurveyObject::setLineStyle | ( | const OD::LineStyle & |  | ) |
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::Horizon2DDisplay, visSurvey::HorizonDisplay, visSurvey::PolygonBodyDisplay, visSurvey::PSEventDisplay, visSurvey::Seis2DDisplay, and visSurvey::WellDisplay.

## ◆ setMarkerStyle()

virtual void visSurvey::SurveyObject::setMarkerStyle | ( | const MarkerStyle3D & |  | ) |
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultStickSetDisplay, visSurvey::PolygonBodyDisplay, and visSurvey::PSEventDisplay.

## ◆ setOnlyAtSectionsDisplay()

virtual void visSurvey::SurveyObject::setOnlyAtSectionsDisplay | ( | bool |  | ) |
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultStickSetDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PolygonBodyDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, and visSurvey::LocationDisplay.

## ◆ setPointDataPack()

virtual bool visSurvey::SurveyObject::setPointDataPack | ( | int | attr,
|  | PointDataPack * | ,
|  | TaskRunner * | )
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::PointSetDisplay.

## ◆ setRandomPosData()

virtual bool visSurvey::SurveyObject::setRandomPosData | ( | int | attrib,
|  | const DataPointSet * | ,
|  | TaskRunner * | )
| inline virtual

Reimplemented in visSurvey::MarchingCubesDisplay, visSurvey::PlaneDataDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, and visSurvey::HorizonDisplay.

## ◆ setResolution()

virtual void visSurvey::SurveyObject::setResolution | ( | int | ,
|  | TaskRunner * | )
| inline virtual

Reimplemented in visSurvey::WellDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ setSaveInSessionsFlag()

void visSurvey::SurveyObject::setSaveInSessionsFlag | ( | bool | yn | ) |
| inline

## ◆ setScene()

virtual void visSurvey::SurveyObject::setScene | ( | Scene * |  | ) |
| virtual

Reimplemented in visSurvey::ArrowDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::ImageDisplay, visSurvey::PlaneDataDisplay, and visSurvey::VolumeDisplay.

## ◆ setSelSpec()

virtual void visSurvey::SurveyObject::setSelSpec | ( | int | ,
|  | const Attrib::SelSpec & | )
| virtual

Reimplemented in visSurvey::VolumeDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::MultiTextureSurveyObject.

## ◆ setSelSpecs()

virtual void visSurvey::SurveyObject::setSelSpecs | ( | int | attrib,
|  | const TypeSet< Attrib::SelSpec > & | )
| virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ setTranslation()

virtual void visSurvey::SurveyObject::setTranslation | ( | const Coord3 & |  | ) |
| inline virtual

Reimplemented in visSurvey::Horizon2DDisplay, and visSurvey::HorizonDisplay.

## ◆ setTrcKeyZSampling()

virtual void visSurvey::SurveyObject::setTrcKeyZSampling | ( | const TrcKeyZSampling & |  | ) |
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, and visSurvey::VolumeDisplay.

## ◆ setUserRefs()

void visSurvey::SurveyObject::setUserRefs | ( | int | attrib,
|  | BufferStringSet * | nms )
| inline

## ◆ setVolumeDataPack()

virtual bool visSurvey::SurveyObject::setVolumeDataPack | ( | int | attrib,
|  | VolumeDataPack * | ,
|  | TaskRunner * | )
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::VolumeDisplay.

## ◆ setZAxisTransform()

virtual bool visSurvey::SurveyObject::setZAxisTransform | ( | ZAxisTransform * | ,
|  | TaskRunner * | )
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::Horizon2DDisplay, visSurvey::HorizonDisplay, visSurvey::LocationDisplay, visSurvey::PlaneDataDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::VolumeDisplay, and visSurvey::WellDisplay.

## ◆ showManipulator()

virtual void visSurvey::SurveyObject::showManipulator | ( | bool | yn | ) |
| inline virtual

Reimplemented in visSurvey::VolumeDisplay, visSurvey::FaultDisplay, visSurvey::FaultStickSetDisplay, visSurvey::PlaneDataDisplay, visSurvey::PolygonBodyDisplay, and visSurvey::RandomTrackDisplay.

## ◆ showsTexture()

virtual bool visSurvey::SurveyObject::showsTexture | ( |  | ) | const
| virtual

## ◆ sKeyAttribs()

static const char * visSurvey::SurveyObject::sKeyAttribs | ( |  | ) |
| inline static

## ◆ sKeyColTabID()

static const char * visSurvey::SurveyObject::sKeyColTabID | ( |  | ) |
| inline static

## ◆ sKeyLocked()

static const char * visSurvey::SurveyObject::sKeyLocked | ( |  | ) |
| inline static

## ◆ sKeyMapper()

static const char * visSurvey::SurveyObject::sKeyMapper | ( |  | ) |
| inline static

## ◆ sKeyNrAttribs()

static const char * visSurvey::SurveyObject::sKeyNrAttribs | ( |  | ) |
| inline static

## ◆ sKeyNrVersions()

static const char * visSurvey::SurveyObject::sKeyNrVersions | ( |  | ) |
| inline static

## ◆ sKeySelTexture()

static const char * visSurvey::SurveyObject::sKeySelTexture | ( |  | ) |
| inline static

## ◆ sKeySequence()

static const char * visSurvey::SurveyObject::sKeySequence | ( |  | ) |
| inline static

## ◆ sKeySurvey()

static const char * visSurvey::SurveyObject::sKeySurvey | ( |  | ) |
| inline static

## ◆ sKeyTC2RGBA()

static const char * visSurvey::SurveyObject::sKeyTC2RGBA | ( |  | ) |
| inline static

## ◆ sKeyTextTrans()

static const char * visSurvey::SurveyObject::sKeyTextTrans | ( |  | ) |
| inline static

## ◆ snapToTracePos()

virtual void visSurvey::SurveyObject::snapToTracePos | ( | Coord3 & |  | ) | const
| inline virtual

Reimplemented in visSurvey::Seis2DDisplay.

## ◆ swapAttribs()

virtual bool visSurvey::SurveyObject::swapAttribs | ( | int | a0,
|  | int | a1 )
| inline virtual

Reimplemented in visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ textureInterpolationEnabled()

virtual bool visSurvey::SurveyObject::textureInterpolationEnabled | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::HorizonDisplay, visSurvey::MultiTextureSurveyObject, and visSurvey::VolumeDisplay.

## ◆ turnOnSelectionMode()

virtual void visSurvey::SurveyObject::turnOnSelectionMode | ( | bool |  | ) |
| inline virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultStickSetDisplay, visSurvey::LocationDisplay, and visSurvey::PickSetDisplay.

## ◆ updateMouseCursorCB()

virtual void visSurvey::SurveyObject::updateMouseCursorCB | ( | CallBacker * |  | ) |
| inline virtual

Reimplemented in visSurvey::PlaneDataDisplay, visSurvey::PreStackDisplay, visSurvey::RandomTrackDisplay, and visSurvey::VolumeDisplay.

## ◆ usePar()

virtual bool visSurvey::SurveyObject::usePar | ( | const IOPar & |  | ) |
| virtual

Reimplemented in visSurvey::EMObjectDisplay, visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::FaultStickSetDisplay, visSurvey::HorizonDisplay, visSurvey::LocationDisplay, visSurvey::MarchingCubesDisplay, visSurvey::MultiTextureSurveyObject, visSurvey::PickSetDisplay, visSurvey::PlaneDataDisplay, visSurvey::PolygonBodyDisplay, visSurvey::PreStackDisplay, visSurvey::RandomPosBodyDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, visSurvey::VolumeDisplay, and visSurvey::WellDisplay.

## ◆ usesColor()

virtual bool visSurvey::SurveyObject::usesColor | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, and visSurvey::MarchingCubesDisplay.

## ◆ usesDataPacks()

virtual bool visSurvey::SurveyObject::usesDataPacks | ( |  | ) | const
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::HorizonDisplay, visSurvey::MarchingCubesDisplay, visSurvey::PlaneDataDisplay, visSurvey::PointSetDisplay, visSurvey::PreStackDisplay, visSurvey::RandomTrackDisplay, visSurvey::Seis2DDisplay, and visSurvey::VolumeDisplay.

## ◆ usesTexture()

virtual bool visSurvey::SurveyObject::usesTexture | ( |  | ) | const
| virtual

## ◆ useTexture()

virtual void visSurvey::SurveyObject::useTexture | ( | bool | yn,
|  | bool | trigger )
| inline virtual

Reimplemented in visSurvey::FaultDisplay, visSurvey::FaultSetDisplay, visSurvey::MarchingCubesDisplay, and visSurvey::HorizonDisplay.

## Friends And Related Symbol Documentation

## ◆ Scene

friend class Scene
| friend

## Member Data Documentation

## ◆ errmsg_

BufferString visSurvey::SurveyObject::errmsg_
| mutable protected

## ◆ locked_

bool visSurvey::SurveyObject::locked_ = false
| protected

## ◆ s3dgeom_

ConstRefMan<Survey::Geometry3D> visSurvey::SurveyObject::s3dgeom_
| protected

## ◆ saveinsessionsflag_

bool visSurvey::SurveyObject::saveinsessionsflag_ = true
| protected

## ◆ scene_

Scene* visSurvey::SurveyObject::scene_ = nullptr
| protected

## ◆ survname_

BufferString visSurvey::SurveyObject::survname_
| protected

## ◆ updatestagenr_

int visSurvey::SurveyObject::updatestagenr_ = 0
| protected

## ◆ userrefs_

ObjectSet<BufferStringSet> visSurvey::SurveyObject::userrefs_
| protected

## ◆ usestexture_

bool visSurvey::SurveyObject::usestexture_ = true
| protected

## ◆ validtexture_

bool visSurvey::SurveyObject::validtexture_ = false
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025